Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.extractor
Class ExtractorSWF.ExtractorTagParser

    java.lang.Object
      com.anotherbigidea.flash.readers.TagParser
          org.archive.crawler.extractor.ExtractorSWF.ExtractorTagParser

All Implemented Interfaces:
  com.anotherbigidea.flash.interfaces.SWFFileSignature, com.anotherbigidea.flash.interfaces.SWFHeader, com.anotherbigidea.flash.interfaces.SWFTags, com.anotherbigidea.flash.SWFConstants

Enclosing class:
  ExtractorSWF

    protected class ExtractorSWF.ExtractorTagParser

extends com.anotherbigidea.flash.readers.TagParser

TagParser customized to ignore SWFTags that will never contain extractable URIs.

Field Summary

Fields inherited from class com.anotherbigidea.flash.readers.TagParser
`mFlashVersion, mStringEncoding, mTagtypes`

Fields inherited from interface com.anotherbigidea.flash.SWFConstants
`BITMAP_FORMAT_16_BIT, BITMAP_FORMAT_32_BIT, BITMAP_FORMAT_8_BIT, BUTTON2_IDLE2OVERDOWN, BUTTON2_IDLE2OVERUP, BUTTON2_OUTDOWN2IDLE, BUTTON2_OUTDOWN2OVERDOWN, BUTTON2_OVERDOWN2IDLE, BUTTON2_OVERDOWN2OUTDOWN, BUTTON2_OVERDOWN2OVERUP, BUTTON2_OVERUP2IDLE, BUTTON2_OVERUP2OVERDOWN, CLIP_ACTION_DATA, CLIP_ACTION_ENTER_FRAME, CLIP_ACTION_KEY_DOWN, CLIP_ACTION_KEY_UP, CLIP_ACTION_MOUSE_DOWN, CLIP_ACTION_MOUSE_MOVE, CLIP_ACTION_MOUSE_UP, CLIP_ACTION_ON_LOAD, CLIP_ACTION_UNLOAD, FILL_CLIPPED_BITMAP, FILL_LINEAR_GRADIENT, FILL_RADIAL_GRADIENT, FILL_SOLID, FILL_TILED_BITMAP, FLASH_MX_VERSION, FONT_ANSI, FONT_BOLD, FONT_ITALIC, FONT_SHIFTJIS, FONT_UNICODE, FONT_WIDECHARS, FONT2_32OFFSETS, FONT2_ANSI, FONT2_BOLD, FONT2_HAS_LAYOUT, FONT2_ITALIC, FONT2_SHIFTJIS, FONT2_UNICODE, FONT2_WIDECHARS, LANGUAGE_CODE_JAPANESE, LANGUAGE_CODE_KOREAN, LANGUAGE_CODE_LATIN, LANGUAGE_CODE_NONE, LANGUAGE_CODE_SIMPLIFIED_CHINESE, LANGUAGE_CODE_TRADITIONAL_CHINESE, SOUND_FORMAT_ADPCM, SOUND_FORMAT_MP3, SOUND_FORMAT_NELLYMOSER, SOUND_FORMAT_RAW, SOUND_FORMAT_RAW_LITTLEENDIAN, SOUND_FREQ_11KHZ, SOUND_FREQ_22KHZ, SOUND_FREQ_44KHZ, SOUND_FREQ_5_5KHZ, STRING_ENCODING_MX, STRING_ENCODING_PRE_MX, TAG_DEFINEBITS, TAG_DEFINEBITSJPEG2, TAG_DEFINEBITSJPEG3, TAG_DEFINEBITSLOSSLESS, TAG_DEFINEBITSLOSSLESS2, TAG_DEFINEBUTTON, TAG_DEFINEBUTTON2, TAG_DEFINEBUTTONCXFORM, TAG_DEFINEBUTTONSOUND, TAG_DEFINEFONT, TAG_DEFINEFONT2, TAG_DEFINEFONTINFO, TAG_DEFINEFONTINFO2, TAG_DEFINEMORPHSHAPE, TAG_DEFINEQUICKTIMEMOVIE, TAG_DEFINESHAPE, TAG_DEFINESHAPE2, TAG_DEFINESHAPE3, TAG_DEFINESOUND, TAG_DEFINESPRITE, TAG_DEFINETEXT, TAG_DEFINETEXT2, TAG_DEFINETEXTFIELD, TAG_DOACTION, TAG_DOINITACTION, TAG_ENABLEDEBUG, TAG_ENABLEDEBUGGER2, TAG_END, TAG_EXPORT, TAG_FLASHGENERATOR, TAG_FRAMELABEL, TAG_FREECHARACTER, TAG_GEN_EXTERNAL_FONT, TAG_GENERATOR_TEXT, TAG_IMPORT, TAG_JPEGTABLES, TAG_NAMECHARACTER, TAG_PLACEOBJECT, TAG_PLACEOBJECT2, TAG_PROTECT, TAG_REMOVEOBJECT, TAG_REMOVEOBJECT2, TAG_SERIALNUMBER, TAG_SETBACKGROUNDCOLOR, TAG_SHOWFRAME, TAG_SOUNDSTREAMBLOCK, TAG_SOUNDSTREAMHEAD, TAG_SOUNDSTREAMHEAD2, TAG_STARTSOUND, TAG_TEMPLATECOMMAND, TEXT_HAS_COLOR, TEXT_HAS_FONT, TEXT_HAS_XOFFSET, TEXT_HAS_YOFFSET, TEXTFIELD_ALIGN_CENTER, TEXTFIELD_ALIGN_JUSTIFY, TEXTFIELD_ALIGN_LEFT, TEXTFIELD_ALIGN_RIGHT, TEXTFIELD_DISABLE_EDIT, TEXTFIELD_DRAW_BORDER, TEXTFIELD_FONT_GLYPHS, TEXTFIELD_HAS_FONT, TEXTFIELD_HAS_LAYOUT, TEXTFIELD_HAS_TEXT, TEXTFIELD_HAS_TEXT_COLOR, TEXTFIELD_HTML, TEXTFIELD_IS_MULTILINE, TEXTFIELD_IS_PASSWORD, TEXTFIELD_LIMIT_CHARS, TEXTFIELD_NO_SELECTION, TEXTFIELD_WORD_WRAP, TWIPS`

Fields inherited from interface com.anotherbigidea.flash.interfaces.SWFFileSignature
`SIGNATURE_COMPRESSED, SIGNATURE_NORMAL`

Constructor Summary
`protected` | `ExtractorSWF.ExtractorTagParser(com.anotherbigidea.flash.interfaces.SWFTagTypes tagtypes)`

Method Summary
`protected void` | `parseDefineBits(com.anotherbigidea.io.InStream in)`
`protected void` | `parseDefineBitsJPEG3(com.anotherbigidea.io.InStream in)`
`protected void` | `parseDefineBitsLossless(com.anotherbigidea.io.InStream in, int length, boolean hasAlpha)`
`protected void` | `parseDefineButtonSound(com.anotherbigidea.io.InStream in)`
`protected void` | `parseDefineFont(com.anotherbigidea.io.InStream in)`
`protected void` | `parseDefineFont2(com.anotherbigidea.io.InStream in)`
`protected void` | `parseDefineJPEG2(com.anotherbigidea.io.InStream in, int length)`
`protected void` | `parseDefineJPEGTables(com.anotherbigidea.io.InStream in)`
`protected void` | `parseDefineShape(int type, com.anotherbigidea.io.InStream in)`
`protected void` | `parseDefineSound(com.anotherbigidea.io.InStream in)`
`protected void` | `parseFontInfo(com.anotherbigidea.io.InStream in, int length, boolean isFI2)`

Methods inherited from class com.anotherbigidea.flash.readers.TagParser
`header, main, parseButtonCXForm, parseChangeRecord, parseDefineButton, parseDefineButton2, parseDefineSprite, parseDefineText, parseDefineTextField, parseDoAction, parseDoInitAction, parseEnableDebugger2, parseExport, parseFillStyle, parseFrameLabel, parseImport, parseLineStyle, parseMorphFillStyle, parseMorphLineStyle, parseMorphShape, parsePlaceObject, parsePlaceObject2, parseShape, parseSoundStreamBlock, parseSoundStreamHead, parseStartSound, parseStyles, signature, tag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtractorSWF.ExtractorTagParser

    protected ExtractorSWF.ExtractorTagParser(com.anotherbigidea.flash.interfaces.SWFTagTypes tagtypes)

Method Detail

### parseDefineBits

    protected void parseDefineBits(com.anotherbigidea.io.InStream in)
                            throws java.io.IOException

  Overrides:
    `parseDefineBits` in class `com.anotherbigidea.flash.readers.TagParser`
  Throws:
    `java.io.IOException`

### parseDefineBitsJPEG3

    protected void parseDefineBitsJPEG3(com.anotherbigidea.io.InStream in)
                                 throws java.io.IOException

  Overrides:
    `parseDefineBitsJPEG3` in class `com.anotherbigidea.flash.readers.TagParser`
  Throws:
    `java.io.IOException`

### parseDefineBitsLossless

    protected void parseDefineBitsLossless(com.anotherbigidea.io.InStream in,
                                           int length,
                                           boolean hasAlpha)
                                    throws java.io.IOException

  Overrides:
    `parseDefineBitsLossless` in class `com.anotherbigidea.flash.readers.TagParser`
  Throws:
    `java.io.IOException`

### parseDefineButtonSound

    protected void parseDefineButtonSound(com.anotherbigidea.io.InStream in)
                                   throws java.io.IOException

  Overrides:
    `parseDefineButtonSound` in class `com.anotherbigidea.flash.readers.TagParser`
  Throws:
    `java.io.IOException`

### parseDefineFont

    protected void parseDefineFont(com.anotherbigidea.io.InStream in)
                            throws java.io.IOException

  Overrides:
    `parseDefineFont` in class `com.anotherbigidea.flash.readers.TagParser`
  Throws:
    `java.io.IOException`

### parseDefineJPEG2

    protected void parseDefineJPEG2(com.anotherbigidea.io.InStream in,
                                    int length)
                             throws java.io.IOException

  Overrides:
    `parseDefineJPEG2` in class `com.anotherbigidea.flash.readers.TagParser`
  Throws:
    `java.io.IOException`

### parseDefineJPEGTables

    protected void parseDefineJPEGTables(com.anotherbigidea.io.InStream in)
                                  throws java.io.IOException

  Overrides:
    `parseDefineJPEGTables` in class `com.anotherbigidea.flash.readers.TagParser`
  Throws:
    `java.io.IOException`

### parseDefineShape

    protected void parseDefineShape(int type,
                                    com.anotherbigidea.io.InStream in)
                             throws java.io.IOException

  Overrides:
    `parseDefineShape` in class `com.anotherbigidea.flash.readers.TagParser`
  Throws:
    `java.io.IOException`

### parseDefineSound

    protected void parseDefineSound(com.anotherbigidea.io.InStream in)
                             throws java.io.IOException

  Overrides:
    `parseDefineSound` in class `com.anotherbigidea.flash.readers.TagParser`
  Throws:
    `java.io.IOException`

### parseFontInfo

    protected void parseFontInfo(com.anotherbigidea.io.InStream in,
                                 int length,
                                 boolean isFI2)
                          throws java.io.IOException

  Overrides:
    `parseFontInfo` in class `com.anotherbigidea.flash.readers.TagParser`
  Throws:
    `java.io.IOException`

### parseDefineFont2

    protected void parseDefineFont2(com.anotherbigidea.io.InStream in)
                             throws java.io.IOException

  Overrides:
    `parseDefineFont2` in class `com.anotherbigidea.flash.readers.TagParser`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.